{ pkgs, lib, ... }:

let
  colors = import ../colors;
  startpageDir = import ./dir.nix;
  out = "${startpageDir}.tmp/";
in
{
  home.file = {
    "${out}index.html".source = ./index.html;
    "${out}colors.css".text = ":root {\n" + (colors.css lib) + "\n}";
    "${out}style.css".source = ./style.css;
    "${out}anilist.svg".source = ./anilist.svg;
    "${out}envelope-regular.svg".source = ./envelope-regular.svg;
    "${out}git.svg".source = ./git.svg;
    "${out}jellyfin.svg".source = ./jellyfin.svg;
    "${out}nyaa.webp".source = ./nyaa.webp;
  };
  # Make files not symlinks, this causes issues displaying in Firefox
  home.activation.startpage = lib.hm.dag.entryAfter["writeBoundary"] ''
    mkdir -p ${startpageDir}
    mv ${out}* ${startpageDir}
    rmdir ${out}
    cd ${startpageDir}
    for file in `find -type l`; do
      cp --remove-destination `readlink $file` $file
    done
  '';
}
